MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026492Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-28 14:502015-10-23 20:50
Reporterduv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026492: TKOpenGl - OpenGl_FrameBuffer does not releases itself correctly
DescriptionLogic related to myIsOwnBuffer flag in OpenGl_FrameBuffer need to be corrected.
Steps To ReproduceCall vdump in DRAW for a few thousands times
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025973closedbugmaster Visualization, TKOpenGl - support EAGLContext as alternative to NSOpenGLContext 

-  Notes
(0043643)
git (administrator)
2015-07-28 16:18

Branch CR26492 has been created by duv.

SHA-1: 28f63414c44fe94fd26ddf88aa495920979fdfe7


Detailed log of new commits:

Author: duv
Date: Tue Jul 28 16:17:57 2015 +0300

    0026492: OpenGl_FrameBuffer does not releases itself correctly
    
    Logic related to myIsOwnBuffer flag in OpenGl_FrameBuffer was corrected.
(0043645)
git (administrator)
2015-07-28 16:36

Branch CR26492 has been updated forcibly by duv.

SHA-1: 97bb270abe9292c1edaa1e01de9a233eb384ca62
(0043646)
kgv (developer)
2015-07-28 16:39

Please test the patch.
(0043673)
apv (tester)
2015-07-29 13:17

Dear BugMaster,

Branch CR26492 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 97bb270abe9292c1edaa1e01de9a233eb384ca62

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91341663 / 99922608 [-8.59%]
Total CPU difference: 17429.239999999536 / 17419.359999999437 [+0.06%]

Testing on Windows:
Total MEMORY difference: 57622472 / 58609521 [-1.68%]
Total CPU difference: 16158.458779198965 / 16916.60803909929 [-4.48%]
(0044141)
git (administrator)
2015-08-14 10:52

Branch CR26492 has been deleted by inv.

SHA-1: 97bb270abe9292c1edaa1e01de9a233eb384ca62

- Related Changesets
occt: master a447178e
Timestamp: 2015-07-28 13:17:57
Author: duv
Committer: bugmaster
Details ] Diff ]
0026492: OpenGl_FrameBuffer does not releases itself correctly

Logic related to myIsOwnBuffer flag in OpenGl_FrameBuffer was corrected.
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-28 14:50 duv New Issue
2015-07-28 14:50 duv Assigned To => duv
2015-07-28 14:50 duv Status new => assigned
2015-07-28 16:18 git Note Added: 0043643
2015-07-28 16:18 duv Assigned To duv => kgv
2015-07-28 16:18 duv Status assigned => resolved
2015-07-28 16:20 kgv Relationship added child of 0025973
2015-07-28 16:21 kgv Summary OpenGl_FrameBuffer does not releases itself correctly => TKOpenGl - OpenGl_FrameBuffer does not releases itself correctly
2015-07-28 16:36 git Note Added: 0043645
2015-07-28 16:39 kgv Note Added: 0043646
2015-07-28 16:39 kgv Assigned To kgv => bugmaster
2015-07-28 16:39 kgv Severity minor => major
2015-07-28 16:39 kgv Status resolved => reviewed
2015-07-28 16:39 kgv Product Version => 6.9.0
2015-07-28 17:02 apv Assigned To bugmaster => apv
2015-07-29 12:36 apv Test case number => Not needed
2015-07-29 13:17 apv Note Added: 0043673
2015-07-29 13:17 apv Assigned To apv => bugmaster
2015-07-29 13:17 apv Status reviewed => tested
2015-07-31 12:31 bugmaster Changeset attached => occt master a447178e
2015-07-31 12:31 bugmaster Status tested => verified
2015-07-31 12:31 bugmaster Resolution open => fixed
2015-08-14 10:52 git Note Added: 0044141
2015-08-26 10:59 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker